@echo off

SET OXYGEN_JAVA=java.exe
if exist "%JAVA_HOME%\bin\java.exe" set OXYGEN_JAVA="%JAVA_HOME%\bin\java.exe"
if exist "%~dp0\jre\bin\java.exe" SET OXYGEN_JAVA="%~dp0\jre\bin\java.exe"

REM This is the command line for the license server.

set CMDLINE=%OXYGEN_JAVA% -cp ".;oxygenLicenseServer.jar;activation-system-id.jar;commons-codec-1.10.jar;log4j.jar" ro.sync.licensemanager.server.LicenseServer

REM This is the directory where the license files are located. 
REM Default location (if this param is missing) is ./license
SET LICENSEDIR=%1%

REM This is the port to connect to.
REM If this param is missing, the default value is 	12346
SET PORT=%2%

set NLM=^


set NL=^^^%NLM%%NLM%^%NLM%%NLM%

set Count=0
for %%a in (%*) do set /a Count+=1

echo Arguments %Count%

if %Count%==0 (
REM Since no arguments, at least warn the user.
echo ------- 
echo No arguments are given - the default location is "license" and the default port is "12346". 
goto cmd
)
if %Count%==2 (
REM Two arguments ? Go and run the server. 
goto cmd
)
REM One or more that two argument ? This is no good.
echo ------- 
echo Usage: %NL%
echo   licenseServer.bat [licenseDir port] %NL%
echo     licenseDir - the directory containing the license files. 
echo     port - the port of the license server %NL%
echo     If no argument is given, the default location - if this licenseDir parameter is missing - is "license" and the default port is "12346". 
goto end

:cmd

if not ""%LICENSEDIR%""=="""" set CMDLINE=%CMDLINE% -licenseDir %LICENSEDIR%
if not ""%PORT%""=="""" set CMDLINE=%CMDLINE% -port %PORT%

REM Start the server.
%CMDLINE%

goto end

:end